<input [(ngModel)]="idPokemon" type="number" id="idPokemon" name="idPokemon" placeholder="id" min="1" max="150" step="1"/>
<br>
<input type="text" name="id" value="{{idPokemon}}" readonly>
<br>
<input [(ngModel)]="filtrePokemon">

<div>
  <select [(ngModel)]="idPokemon">
    <option *ngFor="let pokemon of (pokemons | filterPokemonPipe:'name':filtrePokemon)" [ngValue]="pokemon">{{pokemon.id}} / {{pokemon.name}}</option>
  </select>
</div>

<button (click)="go()">Go !</button>
